com.singularsys.jep.misc.boundvariable

## Class ChainedObjectVariableBindingMapper

- java.lang.Object
- - com.singularsys.jep.misc.boundvariable.ChainedObjectVariableBindingMapper

- All Implemented Interfaces:
    VariableBindingMapper, java.io.Serializable

      public class ChainedObjectVariableBindingMapper
      extends java.lang.Object
      implements VariableBindingMapper

  Creates VariableBinding objects by translating the variable name into a chain of object references. For example "foo.a.b" might be translated into a reference to field "b" of the object at field "a" of an object.
  Since:
    Jep 3.5
  Author:
    Richard Morris
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChainedObjectVariableBindingMapper(java.lang.String sep)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VariableBinding` | `mapVariableName(java.lang.String name)` Creates a VariableBinding for a given variable name
    `java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChainedObjectVariableBindingMapper

          public ChainedObjectVariableBindingMapper(java.lang.String sep)

      Parameters:
        `sep` - the seperator splitting parts of a variable name.

  - ### Method Detail

    - #### put

          public java.lang.Object put(java.lang.String key,
                                      java.lang.Object value)

    - #### mapVariableName

          public VariableBinding mapVariableName(java.lang.String name)

      Description copied from interface: `VariableBindingMapper`
      Creates a VariableBinding for a given variable name
      Specified by:
        `mapVariableName` in interface `VariableBindingMapper`
      Parameters:
        `name` - name of the variable
      Returns:
        a VariableBinding or null if the name cannot be mapped.

Copyright © 2018 Singular Systems http://www.singularsys.com/jep